petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetLineSearch

Returns a pointer to the line search context set with SNESSetLineSearch() or creates a default line search instance associated with the SNES and returns it.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetLineSearch(SNES snes, SNESLineSearch *linesearch)

Not Collective

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameter

linesearch -linesearch context

### Keywords

SNES, get, linesearch

### See Also

SNESSetLineSearch(), SNESLineSearchCreate()

### Level

beginner

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex1f.F90.html
src/ts/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex22f.F.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages